#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		basever	20210820
%define		snap	20240527
%define		pname	rtl8812au
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter
Name:		%{pname}%{_alt_kernel}
Version:	5.13.6.%{snap}
Epoch:		2
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
# Source0:	https://github.com/morrownr/8812au-%{basever}/archive/main/%{pname}-%{version}.tar.gz
# git repo without huge blobs with Android SDKs under docs/
Source0:	%{pname}-%{version}.tar.xz
# Source0-md5:	a4986d1bd51a7447dc240eb4eefaad27
Patch0:		no-arch-override.patch
# good luck finding this chip on Realtek website :/
#URL:		http://www.realtek.com.tw/
URL:		https://github.com/morrownr/8812au
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-rtl8812au\
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-rtl8812au\
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
\
%files -n kernel%{_alt_kernel}-net-rtl8812au\
%defattr(644,root,root,755)\
%doc README.md\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} clean KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%{__make} modules KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m 8812au -d kernel/drivers/net/wireless\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n 8812au-%{basever}
%patch0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri May 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtl8812au.git;a=log;h=auto/th/rtl8812au-5.13.6.20240527-1

* Mon May 27 2024 Jan Rękorajski <baggins@pld-linux.org> 2dc0cae
- rebase on fresh git repo

* Sun Mar 17 2024 Jan Rękorajski <baggins@pld-linux.org> b6d47df
- update to latest snap

* Sun Mar 17 2024 Jan Rękorajski <baggins@pld-linux.org> a6057c1
- update str(l|s)cpy usage

* Sun Dec 24 2023 Jan Rękorajski <baggins@pld-linux.org> 53c9632
- up to latest snap

* Sun Jul 30 2023 Jan Rękorajski <baggins@pld-linux.org> 9947344
- up to new snap with 6.3+ support

* Wed Jun 07 2023 Jan Rękorajski <baggins@pld-linux.org> 5526980
- rel 2

* Wed Jun 07 2023 Jan Rękorajski <baggins@pld-linux.org> f052070
- don't override arch for module build

* Sun May 21 2023 Jan Rękorajski <baggins@pld-linux.org> ba87931
- updated to latest snap with updates for kernel 6.3

* Sat Dec 17 2022 Jan Rękorajski <baggins@pld-linux.org> e8c7da1
- updated to latest snap with fixes for kernel 6.1

* Sun Aug 28 2022 Jan Rękorajski <baggins@pld-linux.org> 043f8ec
- updated to latest snap with fixes for kernels 5.19 and 6.0

* Sat Apr 02 2022 Jan Rękorajski <baggins@pld-linux.org> 87da6a4
- up to 5.13.6

* Sun Nov 07 2021 Jan Rękorajski <baggins@pld-linux.org> 9355b06
- no IPX in kernel 5.15, rel 2

* Tue May 04 2021 Jan Rękorajski <baggins@pld-linux.org> 86b3b0a
- it's 2021...

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 75a597a
- fix snap date

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3168385
- updated to latest snapshot with support for kernels up to 5.12

* Thu Feb 25 2021 Jan Rękorajski <baggins@pld-linux.org> ab7adb6
- fix building with kernl 5.11
- rel 2

* Fri Dec 18 2020 Jan Rękorajski <baggins@pld-linux.org> c044590
- up to 5.9.3.2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 4f8c5a1
- restore epoch 2, rel 3

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 33b76a0
- rel 2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 597e059
- fix version confiusion

